# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXIsElementValid, DXIsElementInvalid

Function

Returns the validity of a specified element of an invalid-component handle.

Syntax
`
#include <dx/dx.h>
`

int DXIsElementValid(InvalidComponentHandle handle, int index)
int DXIsElementInvalid(InvalidComponentHandle handle, int index)

Functional Details

The result reflects both the initial conditions of `handle` when `handle` was created using `DXCreateInvalidComponentHandle`, plus any effects of any calls to `DXSetElementInvalid`, `DXSetElementValid`, `DXInvertValidity`, `DXSetAllValid`, and `DXSetAllInvalid`.

Return Value

`DXIsElementInvalid` returns TRUE (1) if element `index` in the invalid-component handle `handle` is invalid, and returns FALSE (0) otherwise.

`DXIsElementValid` returns TRUE (1) if element `index` in the invalid-component handle `handle` is valid, and returns FALSE (0) otherwise.

See Also

`DXCreateInvalidComponentHandle, DXFreeInvalidComponentHandle`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]